classification
Title: Restore docstring of os._isdir
Type: behavior Stage: resolved
Components: Argument Clinic, Extension Modules, Windows Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: larry, paul.moore, python-dev, serhiy.storchaka, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2016-11-02 08:31 by serhiy.storchaka, last changed 2016-11-08 18:35 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
os-_isdir-docstring.patch serhiy.storchaka, 2016-11-02 08:31 review
Messages (5)
msg279905 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-02 08:31
When converted to Argument Clinic in 3.5 the docstring of os._isdir() was lost. Proposed patch restores it.
msg280216 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-07 17:42
This is Windows specific issue. I'm unable to test the patch myself. Could anybody with access to Windows computer please test it?
msg280219 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-11-07 17:49
LGTM.
msg280330 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-08 18:29
New changeset 5b4fa92dac43 by Serhiy Storchaka in branch '3.5':
Issue #28585: Restored docstring of os._isdir().
https://hg.python.org/cpython/rev/5b4fa92dac43

New changeset 3da89b1678da by Serhiy Storchaka in branch '3.6':
Issue #28585: Restored docstring of os._isdir().
https://hg.python.org/cpython/rev/3da89b1678da

New changeset d77fe603cded by Serhiy Storchaka in branch 'default':
Issue #28585: Restored docstring of os._isdir().
https://hg.python.org/cpython/rev/d77fe603cded
msg280332 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-08 18:35
Thanks Zachary.
History
Date User Action Args
2016-11-08 18:35:18serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg280332

stage: commit review -> resolved
2016-11-08 18:29:13python-devsetnosy: + python-dev
messages: + msg280330
2016-11-07 17:49:17zach.waresetassignee: serhiy.storchaka
messages: + msg280219
2016-11-07 17:42:29serhiy.storchakasetmessages: + msg280216
2016-11-07 14:55:23berker.peksagsetstage: patch review -> commit review
2016-11-02 08:31:16serhiy.storchakacreate